Skip to main content
GET
/
artifacts
Artifacts - List
curl --request GET \
  --url https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts
[
  {
    "artifactId": "<string>",
    "bookmarked": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "execution": {
      "domain": "<string>",
      "name": "<string>",
      "project": "<string>"
    },
    "executionDetails": {
      "workflowCreatedAt": "2023-11-07T05:31:56Z",
      "workflowName": "<string>",
      "workflowVersion": "<string>"
    },
    "exports": [
      {
        "createdAt": "2023-11-07T05:31:56Z",
        "exportTargetId": "<string>",
        "tags": {},
        "type": "<string>",
        "uri": "<string>",
        "$schema": "<string>"
      }
    ],
    "files": [
      {
        "createdAt": "2023-11-07T05:31:56Z",
        "format": "<string>",
        "jobId": "<string>",
        "name": "<string>",
        "nodeId": "<string>",
        "nodeVariable": "<string>",
        "source": "<string>",
        "taskExecutionPhase": "<string>",
        "taskName": "<string>"
      }
    ],
    "name": "<string>",
    "type": "<string>",
    "userId": "<string>",
    "userName": "<string>"
  }
]

Query Parameters

project
string
required

Project of the workflow execution

domain
string
required

Domain of the workflow execution

name
string
required

Name of the workflow execution

Response

object[] | null

OK

artifactId
string
required

UUID such as d1a2dfd5-1050-4538-8b29-ec254af2f7a4. It identifies the artifact which contains this artifact version. It is a hash of project / domain / execution / name / type.

bookmarked
boolean
required

Whether or not this artifact version is bookmarked

createdAt
string<date-time>
required

Time of execution creation, for the workflow execution which created this artifact version

execution
object
required

Workflow execution identifier

executionDetails
object
required

Workflow execution details

exports
object[] | null
required

List of exports of this artifact, such as exports-to-datasets

files
object[] | null
required

Map of filename to BasicArtifactFile

name
string
required
type
string
required

Type: report, data, model

userId
string
required

ID of the user who created the artifact

userName
string
required

Username of the user who created the artifact